手机版
你好,游客 登录 注册
背景:
阅读新闻

POCL 1.4 发布,支持LLVM 9.0

[日期:2019-10-15] 来源:Linux公社  作者:醉落红尘 [字体: ]

POCL 1.4 版本1.4已经发布了,这是一种“可移植计算语言”的实现,它允许在CPU上执行可移植的OpenCL实现,还可以选择通过HSA甚至CUDA设备将其定位为其他加速器。

POCL 1.4提供了对LLVM Clang 9.0的支持,该开源编译器堆栈完成了POCL的许多繁重工作。 同时删除了对6.0之前的LLVM版本的支持。 POCL 1.4还增加了对构建可重定位POCL二进制文件的支持,并改进了对CPU设备的SPIR/SPIR-V支持。

POCL的官方版本仍然仅符合OpenCL 1.2要求,但在此开源OpenCL实现中对OpenCL 2.x支持的工作仍在进行中。 那些不熟悉POCL的人可以在PortableCL.org上了解更多信息,而v1.4版本可以从GitHub上获得。

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-10/161024.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款